Home>Support>Loco Translate Partially configured bundle Influence theme

Loco Translate Partially configured bundle Influence theme

Hello,

I’m having trouble using Loco Translate to translate the Influence theme from English to Spanish.

It only ‘captures’ 7 strings to translate, out of the 162 strings influence.pot has.
This means, after installing the Spanish language (es_ES.po), only 7 strings appear in the Editor to be translated.
Although if I click in the Influence.pot template I can see that there are 162 strings.

Loco Translate gives out the following message: “Error: Translation set not known in Influence”
If I go to the installation tab, it explains that the Bundle has been partially configured, giving the following message: “Un archivo no puede ser comparado con un conjunto conocido de cadenas “. Which I guess could be translated to: “A file couldn’t be compared with a known set of strings”. And it gives me as possibe solutions either ‘advanced configuration’ or ‘import config from xml’.
I’ve tried to figure out what to do in ‘advanced configuration’, but no idea.

Any idea what is going wrong and how can I solved it?

Regards

This is our free support forum. Replies can take several days. If you need fast email support, please purchase a SiteOrigin Premium license.

  1. 2 years, 7 months ago Andrew Misplon Hi, I Work Here

    Hi Padre

    I’ve been working on an Influence update on my own time over the past few weeks. I’ve built an early release copy for you, you can find it here:

    https://siteorigin.com/wp-content/uploads/2019/06/influence.1.2.2.1.zip

    Please, make a backup of your site before updating. Many hosts have an option to create a restore point. If you can’t do that, you could use a plugin like Duplicator to make a backup.

    To update:

    1. Download the ZIP file to your desktop.
    2. Switch to any other theme.
    3. Delete Influence, assuming you haven’t modified the theme at a code level.
    4. Install the update from AppearanceThemesAdd NewUpload ThemeActivate.

    Hopefully, the translation issue will be resolved. Let me know how it goes :)

  2. 2 years, 7 months ago Padre y Vegano

    Hello Andrew,

    Thank you very much for your time.
    I’ve followed the steps you told me and it now shows a different error: “Error: Invalid PO file”
    This error shows up in Loco Translate when I try to add a new language to start translating. I choose spanish from the languages list (although it shows up the same error with any other language I’ve tried) and when clicking on ‘save changes’ it shows the error and I can’t move on from there.
    I’m choosing the same options (themes/influence/languages/es_ES.po) as when it did partially worked before uploading your Influence version.

    On the other hand, the ‘installation’ tab shows a message which says that everything went ok as the package is fully compatible and the configuration was automatically detected. Which I guess is what you fixed with the update.

    Any idea how to move on from this point?

    Regards

  3. 2 years, 7 months ago Andrew Misplon Hi, I Work Here

    I don’t have a deep working knowledge of Loco Translate so bear with me. Can you delete the .po file and start the translation for the theme over? If there were only seven strings previously, that should be ok.

  4. 2 years, 7 months ago Padre y Vegano

    Hello Andrew,

    I’ve managed to fix this last issue! All I had to do was to move the Influence.pot file out of the Influence.pot directory. This is, from public_html/wp-content/themes/influence/languages/Influence.pot/
    to
    public_html/wp-content/themes/influence/languages

    Thank you very much for your help!

    Regards

  5. 2 years, 7 months ago Padre y Vegano

    After doing so, Loco Translate had no problem whatsoever in creating the .po file and captured all the strings correctly from the theme.

  6. 2 years, 7 months ago Andrew Misplon Hi, I Work Here

    Thanks for letting me know about the problem, I’ll have this resolved for the next update. Appreciate the help :) All the best with your site.

Replies on this thread are closed. Please create a new thread if you have a question, or purchase a SiteOrigin Premium license if you need one-on-one email support.

Get The Most Out of SiteOrigin with SiteOrigin Premium

Find Out More